Groovy 1.7.0

## groovy.inspect.swingui
Class AstBrowserUiPreferences

    java.lang.Object
      groovy.inspect.swingui.AstBrowserUiPreferences

    class AstBrowserUiPreferences
    extends Object

This class sets and restores control positions in the browser.

author:
  Hamlet D'Arcy

Property Summary
`def` | `dividerLocation`
`def` | `frameLocation`
`def` | `frameSize`
`boolean` | `showScriptClass`
`boolean` | `showScriptFreeForm`

Constructor Summary
`AstBrowserUiPreferences()`

Method Summary
`def` | `save(def frame, def splitter, def scriptFreeFormPref, def scriptClassPref)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### dividerLocation

    final def dividerLocation

### frameLocation

    final def frameLocation

### frameSize

    final def frameSize

### showScriptClass

    final boolean showScriptClass

### showScriptFreeForm

    final boolean showScriptFreeForm

Constructor Detail

### AstBrowserUiPreferences

    public AstBrowserUiPreferences()

Method Detail

### save

    public def save(def frame, def splitter, def scriptFreeFormPref, def scriptClassPref)

Copyright © 2003-2009 The Codehaus. All rights reserved.